org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label

## Class OnlyPseudoConflictsCompareInput

- java.lang.Object
- - com.google.common.collect.ForwardingObject
  - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.ForwardingCompareInput
    - - org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label.OnlyPseudoConflictsCompareInput

All Implemented Interfaces:
  org.eclipse.compare.structuremergeviewer.ICompareInput

    public class OnlyPseudoConflictsCompareInput
    extends ForwardingCompareInput

A compare input whose purpose is to support a comparison with only pseudo-conflicts.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.ForwardingCompareInput

`ForwardingCompareInput.ForwardingTypedElement`

### Constructor Summary

Constructors
Constructor and Description
`OnlyPseudoConflictsCompareInput(org.eclipse.compare.structuremergeviewer.ICompareInput compareInput)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ForwardingCompareInput.ForwardingTypedElement` `createForwardingTypedElement(org.eclipse.compare.ITypedElement typedElement)`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.ForwardingCompareInput

`addCompareInputChangeListener, copy, delegate, fireChange, getAncestor, getImage, getKind, getLeft, getName, getRight, removeCompareInputChangeListener`

### Methods inherited from class com.google.common.collect.ForwardingObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OnlyPseudoConflictsCompareInput

    public OnlyPseudoConflictsCompareInput(org.eclipse.compare.structuremergeviewer.ICompareInput compareInput)

Parameters:
  `compareInput` -

### Method Detail

#### createForwardingTypedElement

    protected ForwardingCompareInput.ForwardingTypedElement createForwardingTypedElement(org.eclipse.compare.ITypedElement typedElement)

Overrides:
  `createForwardingTypedElement` in class `ForwardingCompareInput`
See Also:
  `ForwardingCompareInput.createForwardingTypedElement(org.eclipse.compare.ITypedElement)`